=== debian/changelog ===
gmic (1.7.9+zart-4build3) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:53:55 +0000

gmic (1.7.9+zart-4build2) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 12:48:40 +0100

gmic (1.7.9+zart-4build1) artful; urgency=medium

  * No-change rebuild against OpenCV 3.1.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Tue, 20 Jun 2017 14:04:32 +0200

gmic (1.7.9+zart-4) unstable; urgency=medium

  * [3dc818a] rise minimal memory, use -O0 on mips.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 16 Dec 2016 21:00:17 +0100

gmic (1.7.9+zart-3) unstable; urgency=medium

  * [86a3cfa] Ensure we disable optimization on slow arches
    - and on those with small amounts of memory.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 16 Dec 2016 01:05:06 +0100

gmic (1.7.9+zart-2) unstable; urgency=medium

  * [c754567] Build-depend on bash-completion.
    Quick fix for FTBFS where /etc/bash_completion.d only exists on a few
    buildds.
    Thanks to Adrian Bunk (Closes: #848185)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 15 Dec 2016 00:51:47 +0100

gmic (1.7.9+zart-1) unstable; urgency=medium

  * [38a82aa] Fix build options
  * [2ccfb41] Merge tag 'upstream/1.7.9'
    Upstream version 1.7.9
  * [dbfb447] Refreshing patches
  * [b2ffc73] Support opencv 3.1.
    Thanks to Nobuhiro Iwamatsu (Closes: #841246)
  * [5d940c9] Updating changelog
  * [513bdc7] Merge tag 'upstream/1.7.9+zart'
    Upstream version 1.7.9+zart
  * [4027a04] Add patch to fix gmic location in zart.pro

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 03 Dec 2016 17:50:28 +0100
