## gmic 2.0.0~pre20170120

=== src/Makefile ===
--- 
+++ 
@@ -61,6 +61,8 @@
 EXE =
 WGET = wget --no-check-certificate --quiet -O
 PLUGINDIR = `gimptool-2.0 --gimpplugindir`/plug-ins
+VERSION = `grep 'gmic_version\ ' gmic.h | tail -c4 | head -c3`
+VERSION1 = `grep 'gmic_version\ ' gmic.h | tail -c4 | head -c1`
 
 ifeq ($(OS),Linux)
 OS = Unix
@@ -119,7 +121,7 @@
 #-------------------------------------------------
 
 # Flags set to describe a 'prerelease' version.
-NO_PRERELEASE_CFLAGS = -Dgmic_prerelease="\\\"`date +%m%d%y`\\\""
+PRERELEASE_CFLAGS = -Dgmic_prerelease="\\\"`date +%m%d%y`\\\""
 
 # Minimal set of flags that is mandatory to compile G'MIC.
 MANDATORY_CFLAGS = -Dgmic_build -Dcimg_use_zlib `pkg-config --cflags zlib || echo -I$(USR)/$(INCLUDE)` $(PRERELEASE_CFLAGS)
@@ -288,7 +290,7 @@
 
 # CLI interface: Static build.
 #-----------------------------
-GMIC_STATIC_CLI_PATH = $(USR)/${LIB}/x86_64-linux-gnu
+GMIC_STATIC_CLI_PATH = $(USR)/$(LIB)/x86_64-linux-gnu
 GMIC_STATIC_CLI_EXTRA =
 GMIC_STATIC_CLI_CFLAGS = $(MANDATORY_CFLAGS) $(ABORT_CFLAGS) $(PARALLEL_CFLAGS) $(ZLIB_CFLAGS) $(FFTW_CFLAGS) $(PNG_CFLAGS) $(JPEG_CFLAGS) -Dcimg_display=0
 GMIC_STATIC_CLI_LIBS = $(PARALLEL_LIBS) \
@@ -316,4 +318,3 @@
 endif
 
 # Libgmic interface: Standard build.
-#-----------------------------------
