=== debian/changelog ===
gmic (1:2.0.0~pre20170120-0bpo8.obs) jessie; urgency=medium

  * Rebuild for Debian 8 (Jessie).

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 17 Mar 2017 15:56:58 -0700

gmic (1:2.0.0~pre20170120-0t2~ppa~edge) trusty; urgency=high
  
  * Prerelease: https://discuss.pixls.us/t/on-the-road-to-gmic-2-0-0/2758

 -- Otto Meier <otto@kesselgulasch.org>  Tue, 31 Jan 2016 22:59:00 +0100

gmic (1:1.8.0~pre-0y1~ppa~edge) yaketty; urgency=high
  
  * Prerelease: https://discuss.pixls.us/t/on-the-road-to-gmic-1-8-0/2758
  * Rebuild

 -- Otto Meier <otto@kesselgulasch.org>  Wed, 18 Jan 2016 21:15:00 +0100

gmic (1:1.7.9-0z0~ppa) zesty; urgency=high
  
  * New release: https://discuss.pixls.us/t/release-of-gmic-1-7-9/2497

 -- Otto Meier <otto@kesselgulasch.org>  Fri, 18 Nov 2016 20:15:00 +0100

gmic (1:1.7.3-0t2~ppa~edge) trusty; urgency=high
  
  * Upstream release

 -- Otto Meier <otto@kesselgulasch.org>  Sun, 03 Jul 2016 23:25:00 +0200

gmic (1:1.7.2-0p0~ppa) precise; urgency=high
  
  * Changelog: https://discuss.pixls.us/t/release-of-gmic-1-7-2/1348

 -- Otto Meier <otto@kesselgulasch.org>  Mon, 30 May 2016 22:38:00 +0200

gmic (1:1.6.5.9.100-0w1~ppa~edge) wily; urgency=high
  
  * Beta release
  * Try gcc-5 for wily
  * Changelog: https://discuss.pixls.us/t/on-the-road-to-gmic-1-6-6-0/383

 -- Otto Meier <otto@kesselgulasch.org>  Wed, 23 Sep 2015 01:40:34 +0200

gmic (1.5.7.1-0precise3~ppa) precise; urgency=high

  * Upstream Release
  * New features:
    - New substituting expression '@*' that returns the number of available cpus.
    - New choice "Auto" for parallel processing options in GIMP plug-in filters. 
    - Improved commands '-apply_parallel' and '-apply_parallel_overlap' for parallelization of algorithms.

  * Optimizations / Changes:
    - Command '-fft' now uses parallel computation to speed up the execution.
    - First command (and only the first) specified as an argument of '-parallel' is now able to modify global variables. 

 -- Otto Meier <otto@kesselgulasch.org>  Thu, 17 Sep 2013 16:51:34 +0200

gmic (1.5.7.0-0saucy1~ppa) saucy; urgency=high

  * Upstream Release

 -- Otto Meier <otto@kesselgulasch.org>  Tue, 10 Sep 2013 17:11:34 +0200

gmic (1.5.6.1-0precise0~ppa) precise; urgency=high
  
  * Upstream Beta Release
  * And here it is, another cool new version of the G'MIC framework :) Enjoy, and see you after the summer holidays :)
  
  * New features:
    - New filter 'Lights & Shadows / Drop shadow 3d' to create shadows layers projected on 3d planes
    - New filter 'Colors / Colorize comics' designed to help colorizing B&W sketches
    - New command '-pack_sprites', allows to do 'generic' shape fitting, i.e. render clouds of non-intersecting shapes with opt. masking. 
      Two new filters in the GIMP plug-in are using this generic command : 'Artistic / Shapeism' and 'Patterns / Pack sprites'
    - New command '-rprogress' to set a progress bar relatively to user-defined bounds. This allows progress bar to be coherent even when set by calls of sub-commands.
    
    Modifications:
    
    - Removed native commands '-haar' and '-ihaar' and recoded them as custom commands, with same parameters.
    - Re-organized the sections of the filters tree in the GIMP plug-in.
    - Zooming on a particular slice of a volumetric image in the embedded viewer now keeps displaying the z-coordinates of the explored voxels.
    
    Bug fixes:
    
    - Fixed : saving raw files in 'unsigned int' type mode were actually saving files in unsigned short instead [reponrted by Zonderr].
    - Fixed bug in command '-polygon' where list of vertices contained double points and opacity was <1.
    - Fixed : GIMP plug-in running in non-interactive mode now force output to be in-place. Was depending on the last selection (done in interactive mode).
    - Fixed : when running GIMP plug-in in non-interactive mode, progress bar works as expected.
     
 -- Otto Meier <otto@kesselgulasch.org>  Thu, 04 Jul 2013 09:54:34 +0200

gmic (1.5.5.2-0quantal2~ppa) quantal; urgency=high
  
  * Upstream Relase
  * This is a minor bugfixes release. Nothing outstanding, but better than previous version anyway :) Enjoy !
  
  * New features :
  
    - New filter 'Patterns / Seamless turbulence', which creates seamless turbulence patterns.
    - New command '-spline3d' to generate 3d cubic spline curves.
  * Improvements / Changes :
  
    - Slightly optimized blending step in patch-based inpainting algorithm.
    - Command '-spline' is now a custom command, instead of a native one.
    - Update mechanism for GIMP plug-in has been slightly changed. Only one update file is now required for all external contributions, which speeds up the update procedure dramatically.
    - Command '-output' better manages the saving of 'empty' images, by creating 0-bytes files in case the requested format does not support the storage of empty images (most of the formats actually).
    - Plug-in filters are now ordered in alphabetical order inside folders.
  
  * Bug fixes :
  
    - Loading single frame GIF files did not support alpha-channels. This has been fixed.
    -  Fixed bug happening when first displaying an image list with command '-window', modify its value range, then displaying it using command '-display'. Very rare bug to be honest!
    - Substituted expression @{ind,t} does not end a command line anymore, if image [ind] contains a 0.
    - Bugfix in '-object3d' : objects having sprites primitives with single colors and transparency masks were displayed at the wrong location. Thanks Jerome Boulanger for having noticed this! 
  
 -- Otto Meier <otto@kesselgulasch.org>  Fri, 19 Apr 2013 18:24:34 +0100
 

gmic (1.5.5.1-0quantal2~ppa) quantal; urgency=high
  
  * Upstream release
    
  * New features:
  
  * New command '-patches' can extract several patches from selected images, in a very quick way.
  * New command '-repair' to perform patch-based inpainting with an extra original blending algorithm. Very useful command!  

