=== debian/control ===
Source: gmic
Section: graphics
Priority: optional
Maintainer: Otto Meier <otto@kesselgulasch.org>
XBSC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 libgimp2.0-dev (>= 2.4),
 libjpeg-dev,
 libcv-dev,
 libopencv-dev,
 libhighgui-dev,
 libavcodec-dev,
 libavformat-dev, 
 libswscale-dev,
 libx11-dev, 
 libxrandr-dev, 
 libfftw3-dev | fftw3-dev,
 libopencv-highgui-dev, 
 libopencv-objdetect-dev, 
 libopencv-legacy-dev,
 libopencv-ml-dev, 
 libopencv-video-dev, 
 libopencv-contrib-dev,
 libopencv-imgproc-dev, 
 libopenexr-dev, 
 qt5-default | qt4-default,
 libgomp1,
 libjson-glib-dev,
 libgegl-0.0-dev | libgegl-dev,
 libcurl4-openssl-dev,
 bc,
 wget,
 libtiff5-dev | libtiff4-dev
Standards-Version: 3.9.6
Homepage: http://gmic.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/gmic.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gmic.git

Package: gmic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gimp-gmic, gmic-zart
Description: GREYC's Magic Image Converter
 G'MIC is an interpreter of image processing macros whose goal is to
 convert, manipulate and visualize generic 1D/2D/3D multi-spectral
 image files. This includes classical color images, but also more
 complex data as image sequences or 3D volumetric images.
 .
 This package contains the stand-alone gmic binary.

Package: gmic-zart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gmic
Replaces: gmic (<< 1.5.1.6+dfsg-3~)
Breaks: gmic (<< 1.5.1.6+dfsg-3~)
Description: GREYC's Magic Image Converter - ZArt
 G'MIC is an interpreter of image processing macros whose goal is to
 convert, manipulate and visualize generic 1D/2D/3D multi-spectral
 image files. This includes classical color images, but also more
 complex data as image sequences or 3D volumetric images.
 .
 This package contains ZArt, a program whose purpose is to demonstrate
 the possibilities of the G'MIC image processing language by offering
 the choice of several manipulations on a video stream acquired from a
 webcam. In other words, ZArt is a GUI for G'MIC real-time manipulations
 on the output of a webcam.

Package: gimp-gmic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gimp (>= 2.6)
Suggests: gmic
Enhances: gimp
Description: GIMP plugin for GREYC's Magic Image Converter
 G'MIC is an interpreter of image processing macros whose goal is to
 convert, manipulate and visualize generic 1D/2D/3D multi-spectral
 image files. This includes classical color images, but also more
 complex data as image sequences or 3D volumetric images.
 .
 This package contains the GIMP plugin.

Package: libgmic1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Description: GREYC's Magic for Image Computing - shared library
 G'MIC is an open and full-featured framework for image processing,
 providing several different user interfaces to
 convert/manipulate/filter/visualize generic image datasets, from 1d
 scalar signals to 3d+t sequences of multi-spectral volumetric images.
 .
 This package contains the shared library.

Package: libgmic-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libgmic1 (= ${binary:Version})
Description: GREYC's Magic for Image Computing - development files
 G'MIC is an open and full-featured framework for image processing,
 providing several different user interfaces to
 convert/manipulate/filter/visualize generic image datasets, from 1d
 scalar signals to 3d+t sequences of multi-spectral volumetric images.
 .
 This package contains the development files for libgmic.
