## gmic 2.0.2

=== src/Makefile ===
--- 
+++ 
@@ -8,7 +8,6 @@
 #                 . the G'MIC plug-in for GIMP (type 'make gimp').
 #                 . the G'MIC interpreter, as a C++ library (type 'make lib').
 #                 . the G'MIC C library (type 'make libc' or 'make libcstatic').
-#                 . the ZArt software (type 'make zart').
 #                 . To compile all of them, just type 'make', or 'make all').
 #
 #                ( http://gmic.eu )
@@ -110,6 +109,18 @@
 PIC =
 endif
 
+ifneq (,$(wildcard ../../gmic/src))
+ZART_GMIC_PATH=../../gmic/src
+else
+ZART_GMIC_PATH=../src
+endif
+
+ifneq (,$(wildcard ../../gmic/src))
+QT_GMIC_PATH=../gmic/src
+else
+QT_GMIC_PATH=../src
+endif
+
 ifdef NOSTRIP
 STRIP = echo skip strip
 else
@@ -121,11 +132,12 @@
 #-------------------------------------------------
 
 # Flags set to describe a 'prerelease' version.
-PRERELEASE_CFLAGS = -Dgmic_prerelease="\\\"`date +%m%d%y`\\\""
+NO_PRERELEASE = `date +%y%m%d`
+NO_PRERELEASE_CFLAGS = -Dgmic_prerelease="\\\"$(PRERELEASE)\\\""
 
 # Minimal set of flags that is mandatory to compile G'MIC.
-MANDATORY_CFLAGS = -Dgmic_build -Dcimg_use_zlib `pkg-config --cflags zlib || echo -I$(USR)/$(INCLUDE)` $(PRERELEASE_CFLAGS)
-MANDATORY_LIBS = `pkg-config --libs zlib || echo -lz`
+MANDATORY_CFLAGS = -Dgmic_build -Dcimg_use_zlib `pkg-config --cflags zlib || echo -I$(USR)/$(INCLUDE)` $(PRERELEASE_CFLAGS) $(EXTRA_CFLAGS)
+MANDATORY_LIBS = `pkg-config --libs zlib || echo -lz` $(EXTRA_LIBS)
 ifndef NO_SRIPDLIB
 MANDATORY_CFLAGS += -std=c++11 -pedantic
 endif
@@ -151,7 +163,7 @@
 
 # Flags to enable optimizations.
 ifeq ($(notdir $(CXX)),g++)
-OPT_CFLAGS = -O3 -mtune=generic # -Ofast -march=native
+OPT_CFLAGS = -O3 -mtune=generic
 else
 ifeq ($(notdir $(CXX)),icpc)
 OPT_CFLAGS = -fast
@@ -300,21 +312,14 @@
                        $(GMIC_STATIC_CLI_PATH)/libfftw3.a $(GMIC_STATIC_CLI_PATH)/libfftw3_threads.a \
 	               $(GMIC_STATIC_CLI_EXTRA)
 
-# GIMP plug-in interface: Standard build.
-#----------------------------------------
-GMIC_GIMP_CFLAGS = $(MANDATORY_CFLAGS) $(ABORT_CFLAGS) $(PARALLEL_CFLAGS) $(FFTW_CFLAGS) $(CURL_CFLAGS) $(PNG_CFLAGS) -Dcimg_use_rng
-GMIC_GIMP_LIBS = $(MANDATORY_LIBS) $(PARALLEL_LIBS) $(FFTW_LIBS) $(CURL_LIBS) $(PNG_LIBS)
+# GIMP GTK plug-in interface: Standard build.
+#--------------------------------------------
+GMIC_GIMP_GTK_CFLAGS = $(MANDATORY_CFLAGS) $(ABORT_CFLAGS) $(PARALLEL_CFLAGS) $(FFTW_CFLAGS) $(CURL_CFLAGS) $(PNG_CFLAGS) -Dcimg_use_rng -DGIMP_DISABLE_DEPRECATED
+GMIC_GIMP_GTK_LIBS = $(MANDATORY_LIBS) $(PARALLEL_LIBS) $(FFTW_LIBS) $(CURL_LIBS) $(PNG_LIBS)
 ifeq ($(OS),Unix) # Unix.
-GMIC_GIMP_CFLAGS += $(OPENMP_CFLAGS) $(X11_CFLAGS)
-GMIC_GIMP_LIBS += $(OPENMP_LIBS) $(X11_LIBS)
+GMIC_GIMP_GTK_CFLAGS += $(OPENMP_CFLAGS) $(X11_CFLAGS)
+GMIC_GIMP_GTK_LIBS += $(OPENMP_LIBS) $(X11_LIBS)
 else
 ifeq ($(OS),Darwin) # MaxOSX.
-GMIC_GIMP_CFLAGS += $(X11_CFLAGS)
-GMIC_GIMP_LIBS += $(X11_LIBS)
-else # Windows.
-GMIC_GIMP_CFLAGS += $(OPENMP_CFLAGS) $(GDI32_CFLAGS)
-GMIC_GIMP_LIBS += -mwindows $(OPENMP_LIBS) $(GDI32_LIBS) -lpthread -DPSAPI_VERSION=1 -lpsapi
-endif
-endif
-
-# Libgmic interface: Standard build.
+GMIC_GIMP_GTK_CFLAGS += $(X11_CFLAGS)
+GMIC_GIMP_GTK_LIBS += $(X11_LIBS)
